Groups

Get groups

GET
/groups.json

Get the list of groups

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Query Parameters

builtin?string

Also list the builtin groups (anonymous and non member)

Value in"1"""

Response Body

The request has succeeded.

application/json
  1. response
groups*array<>
curl -X GET 'https://redmine.example.com/groups.json'
{  "groups": [    {      "id": 0,      "name": "string",      "builtin": "anonymous",      "custom_fields": [        {          "id": 0,          "name": "string",          "multiple": true,          "value": "string"        }      ],      "users": [        {          "id": 0,          "name": "string"        }      ],      "memberships": [        {          "id": 0,          "project": {            "id": 0,            "name": "string"          },          "user": {            "id": 0,            "name": "string"          },          "group": {            "id": 0,            "name": "string"          },          "roles": [            {              "id": 0,              "name": "string",              "inherited": true            }          ]        }      ]    }  ]}